
import React from 'react';
import { storiesOf } from '@storybook/react';
import { reduxForm } from 'redux-form';
import { object } from '@storybook/addon-knobs';
import InputLanguage from './InputLanguage';


storiesOf('admin/formHelpers/InputLanguage', module)
  .addDecorator(story => {
    
    const Wrapper = reduxForm({ form: 'test' })(() => story());
    return <Wrapper />;
  })
  .add('default', () => <InputLanguage name="test" item={{ label: 'test' }} />)
  .add('custom', () => (
    <InputLanguage
      name="test"
      item={{ label: 'test' }}
      inputProps={object('inputProps', {
        withBorder: true,
        small: true,
        // placeholder: 'type here...',
        // label: 'Text',
      })}
    />
  ));
